### Enumeration

# FwupdPlugin ContextHwidFlags

#### Declaration

    flags FwupdPlugin.ContextHwidFlags

#### Description

No description available.

#### Members

`FU_CONTEXT_HWID_FLAG_NONE`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_CONTEXT_HWID_FLAG_LOAD_CONFIG`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_CONTEXT_HWID_FLAG_LOAD_SMBIOS`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_CONTEXT_HWID_FLAG_LOAD_FDT`

  No description available.

  - Value: `4`
  - Available since: 1.0
`FU_CONTEXT_HWID_FLAG_LOAD_DMI`

  No description available.

  - Value: `8`
  - Available since: 1.0
`FU_CONTEXT_HWID_FLAG_LOAD_KENV`

  No description available.

  - Value: `16`
  - Available since: 1.0
`FU_CONTEXT_HWID_FLAG_LOAD_DARWIN`

  No description available.

  - Value: `32`
  - Available since: 1.0
`FU_CONTEXT_HWID_FLAG_LOAD_ALL`

  No description available.

  - Value: `4294967295`
  - Available since: 1.0